<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            targetNamespace="http://xml.netbeans.org/schema/squaresSum"
            xmlns:tns="http://xml.netbeans.org/schema/squaresSum"
            elementFormDefault="qualified">

  <xsd:element name="element" type="xsd:unsignedInt"/>
  <xsd:element name="elements">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element ref="tns:element" maxOccurs="unbounded"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>
  <xsd:element name="squaresSumRequest">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element name="n" type="xsd:unsignedInt"></xsd:element>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>
  <xsd:element name="squaresSumResponse">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element name="sum" type="xsd:unsignedInt"></xsd:element>
        <xsd:element ref="tns:elements"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>
</xsd:schema>
